Retrieve a Device Transaction Log

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /transaction_log

Query parameters

  • fields string

    filter and/or select response fields. Use fields=<fieldname>(="<value>") to filter by any available field. Multiple filters can be combined with a comma. Example: fields=username(="demo_user"),profile_id(="12345"). Filterable fields: username, date, action, description, last_updated, server_id, profile_id

  • limit number

    maximum number of results to return

  • offset number

    skip that many records before beginning to return

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • date string Required
    • description string Required
    • last_updated string Required
    • username string Required
GET /transaction_log
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/transaction_log' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "action": "78f48ac3 6765c07c 0d53bbd7 97d6b61b 0e9d50ee e5d7522e 06bb8787 870e26fb",
  "date": "2019-05-23 15:52:15 +0000",
  "description": "PageId:12345,ServerRecordId:1",
  "last_updated": "2025-03-20 10:11:05 +0000",
  "username": "demo_user"
}